LibreOffice LibreOffice 5.3 SDK API Reference

Variables
com::sun::star::animations::AnimationNodeType Constant Group Reference

This constants defines a type for an animation node. More...

## Variables
const short | CUSTOM = 0
| Defines a custom time node. More...
const short | PAR = 1
| Defines a parallel time container. More...
const short | SEQ = 2
| Defines a sequence time container. More...
const short | ITERATE = 3
| Defines an iterate time container. More...
const short | ANIMATE = 4
| Defines a generic attribute animation. More...
const short | SET = 5
| Defines a simple mean of just setting the value of an attribute for a specified duration. More...
const short | ANIMATEMOTION = 6
| Defines a move animation along a path. More...
const short | ANIMATECOLOR = 7
| Defines an animation of a color attribute. More...
const short | ANIMATETRANSFORM = 8
| Defines an animation of a transformation attribute. More...
const short | TRANSITIONFILTER = 9
| Defines an animation of a filter behavior. More...
const short | AUDIO = 10
| Defines an audio effect. More...
const short | COMMAND = 11
| Defines a command effect. More...

## Detailed Description

This constants defines a type for an animation node.

It can be used to quickly identify semantic blocks inside an animation hierarchy.

See also
  AnimationNode

## Variable Documentation

## ◆ ANIMATE

const short ANIMATE = 4

Defines a generic attribute animation.

## ◆ ANIMATECOLOR

const short ANIMATECOLOR = 7

Defines an animation of a color attribute.

## ◆ ANIMATEMOTION

const short ANIMATEMOTION = 6

Defines a move animation along a path.

## ◆ ANIMATETRANSFORM

const short ANIMATETRANSFORM = 8

Defines an animation of a transformation attribute.

## ◆ AUDIO

const short AUDIO = 10

Defines an audio effect.

## ◆ COMMAND

const short COMMAND = 11

Defines a command effect.

## ◆ CUSTOM

const short CUSTOM = 0

Defines a custom time node.

## ◆ ITERATE

const short ITERATE = 3

Defines an iterate time container.

## ◆ PAR

const short PAR = 1

Defines a parallel time container.

## ◆ SEQ

const short SEQ = 2

Defines a sequence time container.

## ◆ SET

const short SET = 5

Defines a simple mean of just setting the value of an attribute for a specified duration.

## ◆ TRANSITIONFILTER

const short TRANSITIONFILTER = 9

Defines an animation of a filter behavior.